(function() {
    var extractParameters = function(s) {
        var params = {};
        AJS.$.each((s || '').split('|'), function(i, a) {
            var b = a.split('=');
            params[b[0]] = b[1];
        });
        return params;
    };

    var alignMacro = function(macroNode, alignment) {
        var macroDiv = AJS.$(macroNode);
        AJS.Rte.getEditor().selection.select(macroDiv[0]);
        AJS.Rte.BookmarkManager.storeBookmark();

        // Dodgy. We need to do this so aligning the macro won't remove newlines.
        macroDiv.find("br").replaceWith("\n");
        var body = macroDiv.text();
        var components = extractParameters(AJS.$(macroDiv).data("macro-parameters"));

        var macroRenderRequest = {
            contentId: Confluence.Editor.getContentId(),
            macro: {
                body: body,
                defaultParameterValue: "center",
                name: "latex-block",
                params: {"alignment": alignment, "size": components.size}
            }
        };

        tinymce.confluence.MacroUtils.insertMacro(macroRenderRequest);
    };

    var sizeMacro = function(macroNode, size) {
        var macroDiv = AJS.$(macroNode);
        AJS.Rte.getEditor().selection.select(macroDiv[0]);
        AJS.Rte.BookmarkManager.storeBookmark();

        // Dodgy. We need to do this so aligning the macro won't remove newlines.
        macroDiv.find("br").replaceWith("\n");
        var body = macroDiv.text();
        var components = extractParameters(AJS.$(macroDiv).data("macro-parameters"));

        var macroRenderRequest = {
            contentId: Confluence.Editor.getContentId(),
            macro: {
                body: body,
                defaultParameterValue: "center",
                name: "latex-block",
                params: {"alignment": components.alignment, "size": size}
            }
        };

        tinymce.confluence.MacroUtils.insertMacro(macroRenderRequest);
    };

    AJS.Confluence.PropertyPanel.Macro.registerButtonHandler("left", function(event, macroNode) {
        alignMacro(macroNode, "left");
    });

    AJS.Confluence.PropertyPanel.Macro.registerButtonHandler("center", function(event, macroNode) {
        alignMacro(macroNode, "center");
    });

    AJS.Confluence.PropertyPanel.Macro.registerButtonHandler("right", function(event, macroNode) {
        alignMacro(macroNode, "right");
    });

    AJS.Confluence.PropertyPanel.Macro.registerButtonHandler("small", function(event, macroNode) {
        sizeMacro(macroNode, "small");
    });

    AJS.Confluence.PropertyPanel.Macro.registerButtonHandler("medium", function(event, macroNode) {
        sizeMacro(macroNode, "medium");
    });

    AJS.Confluence.PropertyPanel.Macro.registerButtonHandler("large", function(event, macroNode) {
        sizeMacro(macroNode, "large");
    });
})();