MathJax.Extension["TeX/mhchem"]={version:"2.0"};
MathJax.Hub.Register.StartupHook("TeX Jax Ready",function(){var C=MathJax.InputJax.TeX,B=C.Definitions.macros;
var A=MathJax.Object.Subclass({string:"",i:0,tex:"",atom:false,sup:"",sub:"",Init:function(D){this.string=D
},ParseTable:{"-":"Minus","+":"Plus","(":"Open",")":"Close","[":"Open","]":"Close","<":"Less","^":"Superscript",_:"Subscript","*":"Dot",".":"Dot","=":"Equal","#":"Pound","$":"Math","\\":"Macro"," ":"Space"},Arrows:{"->":"rightarrow","<-":"leftarrow","<->":"leftrightarrow","<=>":"rightleftharpoons","<=>>":"Rightleftharpoons","^":"uparrow",v:"downarrow"},Bonds:{"-":"-","=":"=","#":"\\equiv","~":"\\tripledash","~-":"\\begin{CEstack}{}\\tripledash\\\\-\\end{CEstack}","~=":"\\raise2mu{\\begin{CEstack}{}\\tripledash\\\\-\\\\-\\end{CEstack}}","~--":"\\raise2mu{\\begin{CEstack}{}\\tripledash\\\\-\\\\-\\end{CEstack}}","-~-":"\\raise2mu{\\begin{CEstack}{}-\\\\\\tripledash\\\\-\\end{CEstack}}","...":"{\\cdot}{\\cdot}{\\cdot}","....":"{\\cdot}{\\cdot}{\\cdot}{\\cdot}","->":"\\rightarrow","<-":"\\leftarrow","??":"\\text{??}"},Parse:function(){this.tex="";
this.atom=false;
while(this.i<this.string.length){var D=this.string.charAt(this.i);
if(D.match(/[a-z]/i)){this.ParseLetter()
}else{if(D.match(/[0-9]/)){this.ParseNumber()
}else{this["Parse"+(this.ParseTable[D]||"Other")](D)
}}}this.FinishAtom();
return this.tex
},ParseLetter:function(){this.FinishAtom();
if(this.Match(/^v( |$)/)){this.tex+="{\\"+this.Arrows.v+"}"
}else{this.tex+="\\text{"+this.Match(/^[a-z]+/i)+"}";
this.atom=true
}},ParseNumber:function(){var D=this.Match(/^\d+/);
if(this.atom&&!this.sub){this.sub=D
}else{this.FinishAtom();
var E=this.Match(/^\/\d+/);
if(E){var F="\\frac{"+D+"}{"+E.substr(1)+"}";
this.tex+="\\mathchoice{\\textstyle"+F+"}{"+F+"}{"+F+"}{"+F+"}"
}else{this.tex+=D;
if(this.i<this.string.length){this.tex+="\\,"
}}}},ParseMinus:function(D){if(this.atom&&(this.i===this.string.length-1||this.string.charAt(this.i+1)===" ")){this.sup+=D
}else{this.FinishAtom();
if(this.string.substr(this.i,2)==="->"){this.i+=2;
this.AddArrow("->");
return 
}else{this.tex+="{-}"
}}this.i++
},ParsePlus:function(D){if(this.atom){this.sup+=D
}else{this.FinishAtom();
this.tex+=D
}this.i++
},ParseDot:function(D){this.FinishAtom();
this.tex+="\\cdot ";
this.i++
},ParseEqual:function(D){this.FinishAtom();
this.tex+="{=}";
this.i++
},ParsePound:function(D){this.FinishAtom();
this.tex+="{\\equiv}";
this.i++
},ParseOpen:function(D){this.FinishAtom();
var E=this.Match(/^\([v^]\)/);
if(E){this.tex+="{\\"+this.Arrows[E.charAt(1)]+"}"
}else{this.tex+="{"+D;
this.i++
}},ParseClose:function(D){this.FinishAtom();
this.atom=true;
this.tex+=D+"}";
this.i++
},ParseLess:function(D){this.FinishAtom();
var E=this.Match(/^(<->?|<=>>?)/);
if(!E){this.tex+=D;
this.i++
}else{this.AddArrow(E)
}},ParseSuperscript:function(D){D=this.string.charAt(++this.i);
if(D==="{"){this.i++;
var F=this.Find("}");
if(F==="-."){this.sup+="{-}{\\cdot}"
}else{if(F){this.sup+=A(F).Parse()
}}}else{if(D===" "||D===""){this.tex+="{\\"+this.Arrows["^"]+"}";
this.i++
}else{var E=this.Match(/^(\d+|-\.)/);
if(E){this.sup+=E
}}}},ParseSubscript:function(D){if(this.string.charAt(++this.i)=="{"){this.i++;
this.sub+=A(this.Find("}")).Parse()
}else{var E=this.Match(/^\d+/);
if(E){this.sub+=E
}}},ParseMath:function(D){this.FinishAtom();
this.i++;
this.tex+=this.Find(D)
},ParseMacro:function(D){this.FinishAtom();
this.i++;
var F=this.Match(/^([a-z]+|.)/i)||" ";
if(F==="sbond"){this.tex+="{-}"
}else{if(F==="dbond"){this.tex+="{=}"
}else{if(F==="tbond"){this.tex+="{\\equiv}"
}else{if(F==="bond"){var E=(this.Match(/^\{.*?\}/)||"");
E=E.substr(1,E.length-2);
this.tex+="{"+(this.Bonds[E]||"\\text{??}")+"}"
}else{if(F==="{"){this.tex+="{\\{"
}else{if(F==="}"){this.tex+="\\}}";
this.atom=true
}else{this.tex+=D+F
}}}}}}},ParseSpace:function(D){this.FinishAtom();
this.i++
},ParseOther:function(D){this.FinishAtom();
this.tex+=D;
this.i++
},AddArrow:function(F){var D=this.Match(/^[CT]\[/);
if(D){this.i--;
D=D.charAt(0)
}var G=this.GetBracket(D),E=this.GetBracket(D);
F=this.Arrows[F];
if(G||E){if(E){F+="["+E+"]"
}F+="{"+G+"}";
F="\\mathrel{\\x"+F+"}"
}else{F="\\long"+F+" "
}this.tex+=F
},FinishAtom:function(){if(this.sup||this.sub){if(this.sup&&this.sub&&!this.atom){var D=Math.abs(this.sup.length-this.sub.length);
if(D){var E="0000000000".substr(0,D);
var F=(this.sup.length>this.sub.length?"sub":"sup");
this[F]="\\phantom{"+E+"}"+this[F]
}}if(!this.sup){this.sup="\\Space{0pt}{0pt}{.2em}"
}this.tex+="^{"+this.sup+"}_{"+this.sub+"}";
this.sup=this.sub=""
}this.atom=false
},GetBracket:function(D){if(this.string.charAt(this.i)!=="["){return""
}this.i++;
var E=this.Find("]");
if(D==="C"){E="\\ce{"+E+"}"
}else{if(D==="T"){if(!E.match(/^\{.*\}$/)){E="{"+E+"}"
}E="\\text"+E
}}return E
},Match:function(D){var E=D.exec(this.string.substr(this.i));
if(E){E=E[0];
this.i+=E.length
}return E
},Find:function(D){var H=this.string.length,G=this.i,E=0;
while(this.i<H){var F=this.string.charAt(this.i++);
if(F===D&&E===0){return this.string.substr(G,this.i-G-1)
}if(F==="{"){E++
}else{if(F==="}"){if(E){E--
}else{C.Error("Extra close brace or missing open brace")
}}}}if(E){C.Error("Missing close brace")
}C.Error("Can't find closing "+D)
}});
B.ce="CE";
B.cf="CE";
B.cee="CE";
B.xleftrightarrow=["xArrow",8596,6,6];
B.xrightleftharpoons=["xArrow",8652,5,7];
B.xRightleftharpoons=["xArrow",8652,5,7];
B.longrightleftharpoons=["Macro","\\stackrel{\\textstyle{{-}\\!\\!{\\rightharpoonup}}}{\\smash{{\\leftharpoondown}\\!\\!{-}}}"];
B.longRightleftharpoons=["Macro","\\stackrel{\\textstyle{-}\\!\\!{\\rightharpoonup}}{\\small\\smash\\leftharpoondown}"];
B.tripledash=["Macro","\\raise3mu{\\tiny\\text{-}\\kern2mu\\text{-}\\kern2mu\\text{-}}"];
C.Definitions.environment.CEstack=["Array",null,null,null,"r",null,"0.001em","T",1];
B.hyphen=["Macro","\\text{-}"];
C.Parse.Augment({CE:function(D){var F=this.GetArgument(D);
var E=A(F).Parse();
this.string=E+this.string.substr(this.i);
this.i=0
}});
MathJax.Hub.Startup.signal.Post("TeX mhchem Ready")
});
MathJax.Ajax.loadComplete("[MathJax]/extensions/TeX/mhchem.js");