MathJax.Extension["TeX/mhchem"]={version:"2.0"};
MathJax.Hub.Register.StartupHook("TeX Jax Ready",function(){var C=MathJax.InputJax.TeX,A=C.Definitions.macros;
var B=MathJax.Object.Subclass({string:"",i:0,tex:"",atom:false,sup:"",sub:"",Init:function(D){this.string=D
},ParseTable:{"-":"Minus","+":"Plus","(":"Open",")":"Close","[":"Open","]":"Close","<":"Less","^":"Superscript",_:"Subscript","*":"Dot",".":"Dot","=":"Equal","#":"Pound","$":"Math","\\":"Macro"," ":"Space"},Arrows:{"->":"rightarrow","<-":"leftarrow","<->":"leftrightarrow","<=>":"rightleftharpoons","<=>>":"Rightleftharpoons","^":"uparrow",v:"downarrow"},Bonds:{"-":"-","=":"=","#":"\\equiv","~":"\\tripledash","~-":"\\begin{CEstack}{}\\tripledash\\\\-\\end{CEstack}","~=":"\\raise2mu{\\begin{CEstack}{}\\tripledash\\\\-\\\\-\\end{CEstack}}","~--":"\\raise2mu{\\begin{CEstack}{}\\tripledash\\\\-\\\\-\\end{CEstack}}","-~-":"\\raise2mu{\\begin{CEstack}{}-\\\\\\tripledash\\\\-\\end{CEstack}}","...":"{\\cdot}{\\cdot}{\\cdot}","....":"{\\cdot}{\\cdot}{\\cdot}{\\cdot}","->":"\\rightarrow","<-":"\\leftarrow","??":"\\text{??}"},Parse:function(){this.tex="";
this.atom=false;
while(this.i<this.string.length){var D=this.string.charAt(this.i);
if(D.match(/[a-z]/i)){this.ParseLetter()
}else{if(D.match(/[0-9]/)){this.ParseNumber()
}else{this["Parse"+(this.ParseTable[D]||"Other")](D)
}}}this.FinishAtom();
return this.tex
},ParseLetter:function(){this.FinishAtom();
if(this.Match(/^v( |$)/)){this.tex+="{\\"+this.Arrows.v+"}"
}else{this.tex+="\\text{"+this.Match(/^[a-z]+/i)+"}";
this.atom=true
}},ParseNumber:function(){var F=this.Match(/^\d+/);
if(this.atom&&!this.sub){this.sub=F
}else{this.FinishAtom();
var E=this.Match(/^\/\d+/);
if(E){var D="\\frac{"+F+"}{"+E.substr(1)+"}";
this.tex+="\\mathchoice{\\textstyle"+D+"}{"+D+"}{"+D+"}{"+D+"}"
}else{this.tex+=F;
if(this.i<this.string.length){this.tex+="\\,"
}}}},ParseMinus:function(D){if(this.atom&&(this.i===this.string.length-1||this.string.charAt(this.i+1)===" ")){this.sup+=D
}else{this.FinishAtom();
if(this.string.substr(this.i,2)==="->"){this.i+=2;
this.AddArrow("->");
return 
}else{this.tex+="{-}"
}}this.i++
},ParsePlus:function(D){if(this.atom){this.sup+=D
}else{this.FinishAtom();
this.tex+=D
}this.i++
},ParseDot:function(D){this.FinishAtom();
this.tex+="\\cdot ";
this.i++
},ParseEqual:function(D){this.FinishAtom();
this.tex+="{=}";
this.i++
},ParsePound:function(D){this.FinishAtom();
this.tex+="{\\equiv}";
this.i++
},ParseOpen:function(E){this.FinishAtom();
var D=this.Match(/^\([v^]\)/);
if(D){this.tex+="{\\"+this.Arrows[D.charAt(1)]+"}"
}else{this.tex+="{"+E;
this.i++
}},ParseClose:function(D){this.FinishAtom();
this.atom=true;
this.tex+=D+"}";
this.i++
},ParseLess:function(E){this.FinishAtom();
var D=this.Match(/^(<->?|<=>>?)/);
if(!D){this.tex+=E;
this.i++
}else{this.AddArrow(D)
}},ParseSuperscript:function(F){F=this.string.charAt(++this.i);
if(F==="{"){this.i++;
var D=this.Find("}");
if(D==="-."){this.sup+="{-}{\\cdot}"
}else{if(D){this.sup+=B(D).Parse()
}}}else{if(F===" "||F===""){this.tex+="{\\"+this.Arrows["^"]+"}";
this.i++
}else{var E=this.Match(/^(\d+|-\.)/);
if(E){this.sup+=E
}}}},ParseSubscript:function(E){if(this.string.charAt(++this.i)=="{"){this.i++;
this.sub+=B(this.Find("}")).Parse()
}else{var D=this.Match(/^\d+/);
if(D){this.sub+=D
}}},ParseMath:function(D){this.FinishAtom();
this.i++;
this.tex+=this.Find(D)
},ParseMacro:function(F){this.FinishAtom();
this.i++;
var D=this.Match(/^([a-z]+|.)/i)||" ";
if(D==="sbond"){this.tex+="{-}"
}else{if(D==="dbond"){this.tex+="{=}"
}else{if(D==="tbond"){this.tex+="{\\equiv}"
}else{if(D==="bond"){var E=(this.Match(/^\{.*?\}/)||"");
E=E.substr(1,E.length-2);
this.tex+="{"+(this.Bonds[E]||"\\text{??}")+"}"
}else{if(D==="{"){this.tex+="{\\{"
}else{if(D==="}"){this.tex+="\\}}";
this.atom=true
}else{this.tex+=F+D
}}}}}}},ParseSpace:function(D){this.FinishAtom();
this.i++
},ParseOther:function(D){this.FinishAtom();
this.tex+=D;
this.i++
},AddArrow:function(E){var G=this.Match(/^[CT]\[/);
if(G){this.i--;
G=G.charAt(0)
}var D=this.GetBracket(G),F=this.GetBracket(G);
E=this.Arrows[E];
if(D||F){if(F){E+="["+F+"]"
}E+="{"+D+"}";
E="\\mathrel{\\x"+E+"}"
}else{E="\\long"+E+" "
}this.tex+=E
},FinishAtom:function(){if(this.sup||this.sub){if(this.sup&&this.sub&&!this.atom){var F=Math.abs(this.sup.length-this.sub.length);
if(F){var E="0000000000".substr(0,F);
var D=(this.sup.length>this.sub.length?"sub":"sup");
this[D]="\\phantom{"+E+"}"+this[D]
}}if(!this.sup){this.sup="\\Space{0pt}{0pt}{.2em}"
}this.tex+="^{"+this.sup+"}_{"+this.sub+"}";
this.sup=this.sub=""
}this.atom=false
},GetBracket:function(E){if(this.string.charAt(this.i)!=="["){return""
}this.i++;
var D=this.Find("]");
if(E==="C"){D="\\ce{"+D+"}"
}else{if(E==="T"){if(!D.match(/^\{.*\}$/)){D="{"+D+"}"
}D="\\text"+D
}}return D
},Match:function(E){var D=E.exec(this.string.substr(this.i));
if(D){D=D[0];
this.i+=D.length
}return D
},Find:function(H){var D=this.string.length,E=this.i,G=0;
while(this.i<D){var F=this.string.charAt(this.i++);
if(F===H&&G===0){return this.string.substr(E,this.i-E-1)
}if(F==="{"){G++
}else{if(F==="}"){if(G){G--
}else{C.Error("Extra close brace or missing open brace")
}}}}if(G){C.Error("Missing close brace")
}C.Error("Can't find closing "+H)
}});
A.ce="CE";
A.cf="CE";
A.cee="CE";
A.xleftrightarrow=["xArrow",8596,6,6];
A.xrightleftharpoons=["xArrow",8652,5,7];
A.xRightleftharpoons=["xArrow",8652,5,7];
A.longrightleftharpoons=["Macro","\\stackrel{\\textstyle{{-}\\!\\!{\\rightharpoonup}}}{\\smash{{\\leftharpoondown}\\!\\!{-}}}"];
A.longRightleftharpoons=["Macro","\\stackrel{\\textstyle{-}\\!\\!{\\rightharpoonup}}{\\small\\smash\\leftharpoondown}"];
A.tripledash=["Macro","\\raise3mu{\\tiny\\text{-}\\kern2mu\\text{-}\\kern2mu\\text{-}}"];
C.Definitions.environment.CEstack=["Array",null,null,null,"r",null,"0.001em","T",1];
A.hyphen=["Macro","\\text{-}"];
C.Parse.Augment({CE:function(F){var D=this.GetArgument(F);
var E=B(D).Parse();
this.string=E+this.string.substr(this.i);
this.i=0
}});
MathJax.Hub.Startup.signal.Post("TeX mhchem Ready")
});
MathJax.Ajax.loadComplete("[MathJax]/extensions/TeX/mhchem.js");